Skip to main content
POST
/
uploads
Create an upload
curl --request POST \
  --url https://api.filecheck.io/uploads \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "mimeType": "<string>",
  "sizeBytes": 123
}
'
{
  "fileRef": "<string>",
  "upload": {
    "url": "<string>",
    "fields": {},
    "method": "POST"
  },
  "maxBytes": 123,
  "expiresIn": 123
}

Authorizations

Authorization
string
header
required

Your secret key as a bearer token, e.g. Authorization: Bearer sk_live_…. Secret keys are server-side only.

Body

application/json
mimeType
string

Content type of the file you intend to upload.

sizeBytes
integer

Expected size in bytes. Capped at 500 MB.

Response

OK

fileRef
string

Pass this as a job source.

upload
object
maxBytes
integer
expiresIn
integer

Seconds until the credentials expire.